質問は基本的に1スレッドにつき1つの内容でお願いします。

お問い合わせの際は下記の情報を明記をお願いいたします。

▼ソフトウェアに関するご質問の場合

・【問題が発生したソフトウェア名とバージョン】(例:Cubism Editor 3.1.02、Euclid Editor 1.2.0 など)
・【ご利用のPC環境】例:Windows10、macOS HighSierra など
・【グラフィックボード】例:GeForce GTX 950M など
・【メモリ】例:8GB
・【原画(イラスト)を制作したソフトウェア】例:Photoshop , CLIP STUDIO , SAI など
・【問い合わせ内容がわかるスクリーンショットまたは動画】

---------------------------

▼SDKに関するご質問の場合

・現象の再現を行い検証させていただきますので、再現する最小のプロジェクトのご提供か、再現するまでの手順
・使用したSDKのバージョン

OpenGL iOS 版ライブラリの armv7s のサポートに関しまして

お世話になっております。

Live2Dライブラリを使用した Xcode 7.3 プロジェクトにて、armv7s アーキテクチャを手動で追加してビルドをした所、リンクエラーになってしまいました。

ld: file is universal (2 slices) but does not contain a(n) armv7s slice: ../../../live2d/lib/ios/Release-iphoneos/libLive2D.a file '../../../live2d/lib/ios/Release-iphoneos/libLive2D.a' for architecture armv7s
clang: error: linker command failed with exit code 1 (use -v to see invocation)

OpenGL 2.1 (Ver 2.0.08_2, Ver 2.1.02_3 ) にて、lipo をして確認したのですが、それぞれ armv7s の出力を確認する事が出来ませんでした。

hoshino-mac:Release-iphoneos hoshino$ lipo -info libLive2D.a
Architectures in the fat file: libLive2D.a are: armv7 arm64

Live2D として、armv7s のサポートはされておりますでしょうか…?
まだまだ使用している方がいらっしゃるようで、是非ビルドしたく思っております。

何卒よろしくお願い致します。

コメント

  • hoshino 様

    現在リリースしているライブラリはarmv7sに対応しておりません。
    armv7s対応版のライブラリの準備は現在進めておりますので、もうしばらくお待ち下さい。
  • お世話になっております。

    追記になります。
    当方仕組みの詳細については詳しくはないのですが、BitCode 有効化に合わせて armv7s に対応されるようでしたら、そちらでも問題ありません。

    >armv7s対応版のライブラリの準備は現在進めておりますので、もうしばらくお待ち下さい。
    よろしくお願い致します。
Sign In or Register to comment.